# $Revision: 1.7 $, $Date: 2008/05/08 12:12:22 $
%define		_snap	01022007
%define		_ver	%(echo %{_snap} | sed -e 's,\\(..\\)\\(..\\)\\(....\\),\\3\\1\\2,')
%define		tpl	multitemplate
Summary:	Multitemplate for DokuWiki
Summary(pl.UTF-8):	Wielokrotne szablony dla DokuWiki
Name:		dokuwiki-tpl-multitemplate
Version:	%{_ver}
Release:	1
License:	GPL v2
Group:		Applications/WWW
Source0:	http://tatewake.com/wiki/_media/projects:multitemplate-%{_snap}.zip
# Source0-md5:	b1d36f8b69439c8e0c67703fa0425238
URL:		http://tatewake.com/wiki/projects:multitemplate_for_dokuwiki
Requires:	dokuwiki
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		dokudir		/usr/share/dokuwiki
%define		tpldir		%{dokudir}/lib/tpl/%{tpl}

%description
This template allows you to use any templates you wish for any
namespace (or page) you wish.

%description -l pl.UTF-8
Ten szablon pozwala na używanie dowolnie wybranych szablonów dla
dowolnej przestrzeni nazw (lub strony).

%prep
%setup -q -n %{tpl}

cat > INSTALL <<'EOF'
To activate this template add something like this to your conf/local.php file:

$conf['template'] = '%{tpl}';

and configure defaults:
$multitemplate['playground'] = 'default';
$multitemplate[''] = 'monobook';

EOF

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{tpldir}
cp -a . $RPM_BUILD_ROOT%{tpldir}
rm -f $RPM_BUILD_ROOT%{tpldir}/INSTALL

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc INSTALL
%{tpldir}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: dokuwiki-tpl-multitemplate.spec,v $
Revision 1.7  2008/05/08 12:12:22  glen
- unify

Revision 1.6  2008-05-08 11:23:25  glen
- unify; rel 1

Revision 1.5  2007/09/07 09:26:17  glen
- unified

Revision 1.4  2007/09/01 19:06:34  qboosh
- pl

Revision 1.3  2007/08/29 16:14:18  glen
- simple INSTALL file

Revision 1.2  2007/08/29 15:52:48  glen
- use sed

Revision 1.1  2007/08/29 15:50:40  glen
- new
